package cn.axzo.workflow.core.engine.event;

import org.flowable.common.engine.api.delegate.event.FlowableEvent;

import java.util.Map;

/**
 * 业务指定审批人的事件
 *
 * @author wangli
 * @since 2023/12/21 10:01
 */
public interface BizSpecifyAssigneeEvent extends FlowableEvent {

    String getActivityId();

    String getActivityName();

    String getProcessInstanceId();

    String getProcessDefinitionId();

    String getExecutionId();

    Map<String, Object> getVariables();
}
